Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 577030 - x11-libs/wxGTK-3.1.5 version bump
Summary: x11-libs/wxGTK-3.1.5 version bump
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 4 votes (vote)
Assignee: Gentoo wxWidgets Herd
URL:
Whiteboard:
Keywords:
: 591260 (view as bug list)
Depends on:
Blocks: 736192 766914 777366
  Show dependency tree
 
Reported: 2016-03-11 03:46 UTC by Perfect Gentleman
Modified: 2021-10-23 01:41 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
wxGTK-3.1.0.ebuild (wxGTK-3.1.0.ebuild,5.17 KB, text/plain)
2017-02-23 10:31 UTC, Mickaël Bucas
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Mart Raudsepp gentoo-dev 2016-03-15 08:49:28 UTC
wxGTK-3.1.0 is a first development release leading up to stable 3.2 series. I'm not sure we'd want to add it unless we need it for some reason in p.mask or something (maybe as a convenience for devs using wx or something). But up to Ryan I think.
Comment 2 Ryan Hill (RETIRED) gentoo-dev 2016-04-14 02:46:44 UTC
I think we'll only be adding 3.1 if a package explicitly needs it.
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2016-08-14 18:05:16 UTC
*** Bug 591260 has been marked as a duplicate of this bug. ***
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2016-08-14 18:07:05 UTC
(In reply to Ryan Hill from comment #2)
> I think we'll only be adding 3.1 if a package explicitly needs it.

Apparently games-emulation/dolphin.
Comment 5 ncahill_alt 2016-09-09 14:01:21 UTC
wxGTK 3.1.0 includes a fix for bug 592436.  At the moment, 3.0 fails to build with GCC 6.

See that thread as well, thanks.
Comment 6 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2017-02-15 22:06:06 UTC
(In reply to Ryan Hill from comment #2)
> I think we'll only be adding 3.1 if a package explicitly needs it.
Any application that allows binding of custom keys for accelerator functions, can use multimedia keys only in 3.1.

Eg media-sound/guayadeque
Comment 7 Mickaël Bucas 2017-02-23 10:31:07 UTC
Created attachment 464828 [details]
wxGTK-3.1.0.ebuild

This is my attempt of an ebuild for wxGTK 3.1.0, based on wxGTK-3.0.2.0-r301.ebuild

The differences are :
 - The source URI is now on GitHub
 - The archive is wxWidgets-${PV}.tar.bz2 instead of wxPython-src-${PV}.tar.bz2
 - I removed the docs archive, as I didn't know how to handle it
 - I didn't use any patch
 - I removed some references to 3.0 in the body of functions and put them in the header as variables, like ${WXVERSIONTAG} and ${WXRELEASE_NODOTSLASH} (this one is new)

I needed this version for another ebuild that is not in the portage tree, but in Bug 376187
Comment 9 Mickaël Bucas 2018-03-03 11:31:19 UTC
The ebuild I proposed for 3.1.0 also worked for 3.1.1 on my system, simply by renaming it to the new version number.
Comment 10 Marcin Kowalski 2018-07-13 11:45:15 UTC
there is a small change necessary to proceed wrt the proto packages : 


the changed part is :

	X?  (
		x11-base/xorg-proto[${MULTILIB_USEDEP}]
	)"



I'm currently trying to build this, but this is a bit confusing : 


The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by wxGTK:3.1-gtk3 (argument)
>=x11-libs/wxGTK-3.1.0 -abi_x86_32




Any hints?
Comment 11 Ștefan Talpalaru 2018-07-26 22:41:48 UTC
x11-libs/wxGTK-3.1.1-r301 and a modified wxwidgets.eclass are available in my overlay: https://github.com/stefantalpalaru/gentoo-overlay
Comment 12 Sergey 'L29Ah' Alirzaev 2019-01-25 19:39:15 UTC
Current cubicsdr requires at least 3.1.1, and the old release in ::gentoo fails to produce any audio output. It is sad the pull request was not applied.
Comment 13 inasprecali 2019-04-23 19:43:16 UTC
Bump.
Comment 14 Mart Raudsepp gentoo-dev 2019-04-24 07:19:48 UTC
3.1.x is still a development release whose ABI will be different compared to another 3.1.x release. Nothing has changed in this regard. If an application requires a development version, then the overall result can't be considered stable and it's arguable it belongs in the main tree.
Comment 15 Adam Stylinski 2019-04-24 14:27:40 UTC
(In reply to Mart Raudsepp from comment #14)
> 3.1.x is still a development release whose ABI will be different compared to
> another 3.1.x release. Nothing has changed in this regard. If an application
> requires a development version, then the overall result can't be considered
> stable and it's arguable it belongs in the main tree.

Why not make it a slotted package or stage it in ~*, then?
Comment 16 Mart Raudsepp gentoo-dev 2019-04-25 08:40:05 UTC
~arch can be considered stable candidate. wxGTK-3.1.x will never be a stable candidate. There is no manpower right now to maintain this in package.mask for the time being. You are free to take your complaints to upstream for not releasing new feature releases in a sensible release timeline.
Comment 18 Frank Krömmelbein 2019-11-08 08:08:34 UTC
wxWidgets 3.1.3 Released
Posted on October 28, 2019

Please notice that while 3.1.3 is officially a “development” version because it is not fully compatible with the “stable” 3.0.x, the list of backwards incompatible changes is very short, so you shouldn’t have any problems updating to this version from 3.0.x in practice, and you’re encouraged to use this release, including in production.
Comment 19 Ștefan Talpalaru 2019-11-08 16:46:34 UTC
wxGTK-3.1.3-r300 available in my overlay: https://github.com/stefantalpalaru/gentoo-overlay

Tested with cubicsdr-0.2.5_p20191029
Comment 20 cyrillic 2019-11-08 23:06:10 UTC
Tested (and works) with dev-util/codelite-9999 in my local overlay.
Comment 21 Mart Raudsepp gentoo-dev 2019-11-17 22:19:12 UTC
(In reply to Frank Krömmelbein from comment #18)
> wxWidgets 3.1.3 Released
> Posted on October 28, 2019
> 
> Please notice that while 3.1.3 is officially a “development” version because
> it is not fully compatible with the “stable” 3.0.x, the list of backwards
> incompatible changes is very short, so you shouldn’t have any problems
> updating to this version from 3.0.x in practice, and you’re encouraged to
> use this release, including in production.

And there are no guarantees a 3.1.4 will be ABI compatible with this 3.1.3. This is far from production ready in linux distributions. They mainly have in mind using it "in production" when static linking to the wx library in windows and Mac builds, and self-made semi-proprietary linux builds that ship with wx itself.
Comment 22 Alexander Wessel 2020-07-15 21:22:59 UTC
From the official webpage at https://www.wxwidgets.org/:

> wxWidgets 3.1.3 Released
>
> Posted on October 28, 2019
>
> wxWidgets 3.1.3 release is now available on GitHub. [...]
>
> Please notice that while 3.1.3 is officially a “development” 
> version because it is not fully compatible with the “stable” 
> 3.0.x, the list of backwards incompatible changes is very 
> short, so you shouldn’t have any problems updating to this
> version from 3.0.x in practice, and you’re encouraged to 
> use this release, including in production.

A few packages that could be maintained in portage require the 3.1 API, such as freefilesync, for example. This should be available as ~arch at least, as per the upstream statement about it being production-ready. As there have been some portage-specific patches in the 3.0.4 ebuilds, it would be nice if one of the experts on wxGtk on Gentoo would provide at least an ebuild to locally overlay the wxGtk 3.1.3 version in a slot, as an attachment here, if you're still uncomfortable about having it in the official repository.

It's unclear which patches out of https://dev.gentoo.org/~leio/distfiles/wxGTK-3.0.4_p20190713.tar.xz are code-related and/or any of them are Gentoo or Portage-specific, so others can pick up from there.

I hate to be a nag, but if upstream encourages to use 3.1, then there will be more and more packages actually requiring it. Could there be changes in 3.1.4? Maybe, maybe not. That'll be in upstream's hand, and developers of 3.1-dependent packages will have to deal with it, and recompile, or maintainers of such packages on Gentoo might need a patch here and there. But last time I looked, that's what Gentoo was made for, and why I use and like it. If I wanted outdated binary packages, I'd run Ubunto LTS...
Comment 23 Mart Raudsepp gentoo-dev 2020-07-15 22:13:27 UTC
You should direct your nag energy to wxWidgets upstream about releasing a stable feature version then :)

If they say it's stable and ABI won't change, then they should release 3.2.0, not wait another year until someone finally decides the remaining new API and features no-one is working on don't need to go into that 3.2 release.
We are not Windows, for which they encourage to static link some random development version in there, as ABI stability isn't of concern with static linkage.
Comment 24 Sven Eden 2020-12-10 09:01:26 UTC
Well, it would at least be nice to have an update to wxWidgets 3.0.5, the latest release in the stable 3.0 series. (came out in April this year)

However, I'll test whether I can fix #650500 with an update to 3.0.5 or 3.1.4 (will try both), as that bug pesters me for years now.
Comment 25 jospezial 2021-01-25 09:44:55 UTC
https://trac.wxwidgets.org/wiki/Roadmap
"Development branch and 3.2

New development happens on 3.1 branch. The latest version is 3.1.4, released on July 22, 2020 and we plan to release one last 3.1.5 release in 3.1.x series in the beginning of 2021 with 3.2.0 hopefully following soon after.

One of the big planned changes for this 3.2 is better support for high DPI displays, but there are, of course, many, many other fixes and improvements in it as well.

3.2 will also finally drop support for very old legacy systems (such as Win9x platform) and compilers (MSVC6, maybe MSVC7 as well)."
Comment 26 Miroslav Šulc gentoo-dev 2021-06-30 14:04:33 UTC
https://trac.wxwidgets.org/wiki/Roadmap

"New development happens on 3.1 branch. The latest version is 3.1.5, released on April 14, 2021 and we plan to release one last 3.1.6 release in 3.1.x series in a couple of months with 3.2.0 hopefully following around September 2021."